ghcide-2.9.0.0: The core of an IDE

Safe Haskell | None
Language | GHC2021

Development.IDE.Main.HeapStats

Description

Logging utilities for reporting heap statistics

Synopsis

- withHeapStats :: Recorder (WithPriority Log) -> IO r -> IO r
- data Log
  - = LogHeapStatsPeriod !Int
  - | LogHeapStatsDisabled
  - | LogHeapStats !Word64 !Word64

# Documentation

withHeapStats :: Recorder (WithPriority Log) -> IO r -> IO r #

A helper function which launches the `heapStatsThread` and kills it appropriately when the inner action finishes. It also checks to see if `-T` is enabled.

data Log #

Constructors

LogHeapStatsPeriod !Int |
LogHeapStatsDisabled |
LogHeapStats !Word64 !Word64 |

#### Instances

Instances details

Show Log # |
Instance details Defined in Development.IDE.Main.HeapStats Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Development.IDE.Main.HeapStats Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #